<html>
<head>
    <script>
        var browser ='{"height":' + screen.width + ', "width":' + screen.height + ', "color":' + screen.colorDepth + ', "java":' + navigator.javaEnabled() + ', "lang":"' + navigator.language + '", "tz":' + new Date().getTimezoneOffset() + '}';
        var browserData = btoa(browser);
    </script>
</head>

<?php

/**
 *  Copyright (C) 2020 OTP Mobil Kft.
 *
 *  PHP version 7
 *
 *  This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @category  SDK
 * @package   SimplePayV2_SDK
 * @author    SimplePay IT Support <itsupport@otpmobil.com>
 * @copyright 2020 OTP Mobil Kft.
 * @license   http://www.gnu.org/licenses/gpl-3.0.html  GNU GENERAL PUBLIC LICENSE (GPL V3.0)
 * @link      http://simplepartner.hu/online_fizetesi_szolgaltatas.html
 */

//Optional error riporting
error_reporting(E_ALL);
ini_set('display_errors', '1');

 //Import config data
require_once 'src/config.php';

//Import SimplePayment class
require_once 'src/SimplePayV21.php';

$trx = new SimplePayBack;

$trx->addConfig($config);


//result
//-----------------------------------------------------------------------------------------
$result = array();
if (isset($_REQUEST['r']) && isset($_REQUEST['s'])) {
    if ($trx->isBackSignatureCheck($_REQUEST['r'], $_REQUEST['s'])) {
        $result = $trx->getRawNotification();
    }
}


// test data
//-----------------------------------------------------------------------------------------
print "<pre>";
print '<a href="indexstorage.html">INDEX STORAGE</a>';
print "<br/><br/>";
print_r($result);
print "</pre>";


if (count($result) > 0) {

    // QUERY
    print '<a href="query.php?orderRef=' . $result['o'] . '&transactionId=' . $result['t'] . '&merchant=' . $result['m'] . '"> QUERY: ' . $result['t'] . '</a>';
    print "<br/><br/>";

    // REFUND
    print '<a href="refund.php?orderRef=' . $result['o'] . '&transactionId=' . $result['t'] . '&merchant=' . $result['m'] . '"> REFUND 5 HUF</a>';
    print "<br/>";


    print "<h2>Kétlépcsős tranzakció lezárása esetén</h2>";
    // FINISH FULL
    print '<a href="finish.php?orderRef=' . $result['o'] . '&transactionId=' . $result['t'] . '&merchant=' . $result['m'] . '&originalTotal=25&approveTotal=25"> FINISH 25 HUF (terhelés teljes összeggel)</a>';
    print "<br/><br/>";

    // FINISH 20
    print '<a href="finish.php?orderRef=' . $result['o'] . '&transactionId=' . $result['t'] . '&merchant=' . $result['m'] . '&originalTotal=25&approveTotal=10"> FINISH 10 HUF (terhelés a foglaltnál kisebb összeggel)</a>';
    print "<br/><br/>";

    // FINISH 0
    print '<a href="finish.php?orderRef=' . $result['o'] . '&transactionId=' . $result['t'] . '&merchant=' . $result['m'] . '&originalTotal=25&approveTotal=0"> FINISH 0 HUF (foglalás feloldása)</a>';
    print "<br/>";
 
    print "<h2>Tárolt kártya státusza</h2>";
    // CARDQUERY
    print '<a href="cardquery.php?cardId=' . $result['t'] . '&merchant=' . $result['m'] . '&history=OK"> CARDQUERY: ' . $result['t'] . '</a>';
    print "<br/><br/>";

    // CARDCANCEL
    print '<a href="cardcancel.php?cardId=' . $result['t'] . '&merchant=' . $result['m'] . '"> CARDCANCEL: ' . $result['t'] . '</a>';
    print "<br/>";   
    
    //Import SimplePayV21TokenData class
    include_once 'src/SimplePayV21TokenData.php';
    $store = new RecurringStore;
    $store->request['rContent'] = $trx->request['rContent'];

    $storeType = "<h2>OneClick fizetés OneClick kártyaregisztráció esetén</h2>";

    // 3DS server data
    //-----------------------------------------------------------------------------------------
    $server = [
    'accept' => $_SERVER['HTTP_ACCEPT'],
    'agent' => $_SERVER['HTTP_USER_AGENT'],
    'ip' => $_SERVER['REMOTE_ADDR']
    ];
    $serverData = base64_encode(json_encode($server));

    $storeType .= '<script>';
    $storeType .= 'document.write(\'<a href="do.php?browser=\' + browserData + \'&server=' . $serverData . '&cardId=' . $result['t'] . '&merchant=' . $result['m'] . '&cardSecret=SECRET">DO: ' . $result['t'] . ' </a>\');';
    $storeType .= '</script>';

    $storeType .=  "<br/><br/>";

    if ($store->isTokenExists()) {
        $storeType =  "<h2>Tokenes fizetés Recurring kártyaregisztráció esetén</h2>";
        $storeType .= $store->getTokens($serverData);
    }
    print $storeType;

    //LEGACY
    if (!$store->isTokenExists()) {
        
        print "<h2>Tárolt kártyás fizetések LEGACY kártyaregisztráció esetén</h2>";
        print "<h3>Legacy oneclick tranzakció indítása</h3>";
        // DO CIT
        print '<script>';
        print 'document.write(\'<a href="do.php?browser=\' + browserData + \'&server=' . $serverData . '&cardId=' . $result['t'] . '&merchant=' . $result['m'] . '&type=CIT">DO CIT: ' . $result['t'] . ' </a>\');';
        print '</script>';
        print "<br/><br/>";    
        
        // DO MIT
        print '<a href="do.php?cardId=' . $result['t'] . '&merchant=' . $result['m'] . '&type=MIT"> DO MIT: ' . $result['t'] . '</a>';
        print "<br/><br/>";        
        
        print "<h3>Legacy recurring tranzakció indítása</h3>";
        // DO REC
        print '<a href="do.php?cardId=' . $result['t'] . '&merchant=' . $result['m'] . '&legacyRecurring=true' . '&type=REC"> DO REC: ' . $result['t'] . '</a>';
        print "<br/><br/>";        
    }        
    
}
