<?php


/**
 *  Copyright (C) 2020 OTP Mobil Kft.
 *
 *  PHP version 7
 *
 *  This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @category  SDK
 * @package   SimplePayV21_SDK
 * @author    SimplePay IT Support <itsupport@otpmobil.com>
 * @copyright 2020 OTP Mobil Kft.
 * @license   http://www.gnu.org/licenses/gpl-3.0.html  GNU GENERAL PUBLIC LICENSE (GPL V3.0)
 * @link      http://simplepartner.hu/online_fizetesi_szolgaltatas.html
 */

//Optional error riporting
error_reporting(E_ALL);
ini_set('display_errors', '1');

 //Import config data
require_once 'src/config.php';

//Import SimplePayment class
require_once 'src/SimplePayV21.php';

//Import SimplePayV21CardStorage
require_once 'src/SimplePayV21CardStorage.php';

$trx = new SimplePayDorecurring;

$trx->addConfig($config);


//account
//-----------------------------------------------------------------------------------------
$trx->addConfigData('merchantAccount', $_REQUEST['merchant']);


//OneClick transaction
//-----------------------------------------------------------------------------------------
if (isset($_REQUEST['token'])) {
    $trx->addData('token', $_REQUEST['token']);
}


//add merchant transaction ID
//-----------------------------------------------------------------------------------------
$trx->addData('orderRef', str_replace(array('.', ':', '/'), "", @$_SERVER['SERVER_ADDR']) . @date("U", time()) . rand(1000, 9999));


// METHODS
//-----------------------------------------------------------------------------------------
$trx->addData('methods', array('CARD'));


//add currency
//-----------------------------------------------------------------------------------------
$trx->addData('currency', 'HUF');


//ORDER PRICE/TOTAL
//-----------------------------------------------------------------------------------------
$trx->addData('total', 42);


//CUSTOMER
//customer's name
//-----------------------------------------------------------------------------------------
$trx->addData('customer', 'DORECURRING tester');


//EMAIL
//customer's email
//-----------------------------------------------------------------------------------------
$trx->addData('customerEmail', 'sdk_test@otpmobil.com');


//3DS section
//-----------------------------------------------------------------------------------------
$trx->addData('type', 'MIT');


// customer's registration mehod
// 01: guest
// 02: registered
// 05: third party
//-----------------------------------------------------------------------------------------
$trx->addData('threeDSReqAuthMethod', '02');


//start dorecurring
//-----------------------------------------------------------------------------------------
$v2DorecurringResult = $trx->runDorecurring();


// test data
//-----------------------------------------------------------------------------------------
print "API REQUEST";
print "<pre>";
print_r($trx->getTransactionBase());
print "</pre>";

print "API RESULT";
print "<pre>";
print_r($trx->getReturnData());
print "</pre>";
